[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: How can I force the removal of a package?

Phillip Deackes <gsmh@gmx.co.uk> wrote:
>I am following unstable and currently have a problem with
>9menu_1.4-10_i386.deb. It will neither upgrade with apt nor allow itself
>to be removed with either apt or dpkg.
>I get this message:
>dpkg (subprocess): unable to execute old pre-removal script: Exec format
>dpkg: warning - old pre-removal script returned error exit status 2

Hmm. You need to fix /var/lib/dpkg/info/9menu.prerm somehow. The copy in
the Debian archive looks like this:

  if [ \( "$1" = "upgrade" -o "$1" = "remove" \) -a -L /usr/doc/9menu ]; then
     rm -f /usr/doc/9menu

I think you need to put a line reading '#! /bin/sh' at the start of
that; if that works, then a bug needs to be filed against 9menu
(probably with severity 'important').

Colin Watson                                     [cjw44@flatline.org.uk]

Reply to: